CppUnit project page | FAQ

Public Types | Public Member Functions | Private Attributes | List of all members
TestCaseMethodFunctor Class Reference

Functor to call test case method (Implementation). More...

Inheritance diagram for TestCaseMethodFunctor:
[legend]
Collaboration diagram for TestCaseMethodFunctor:
[legend]

## Public Types
typedef void(TestCase::* | Method) ()

## Public Member Functions
| TestCaseMethodFunctor (TestCase *target, Method method)
bool | operator() () const
Public Member Functions inherited from Functor
virtual | ~Functor ()
virtual bool | operator() () const =0

## Private Attributes
TestCase * | m_target
Method | m_method

## Detailed Description

Functor to call test case method (Implementation).

Implementation detail.

## Member Typedef Documentation

## ◆ Method

typedef void(TestCase::* TestCaseMethodFunctor::Method) ()

## Constructor & Destructor Documentation

## ◆ TestCaseMethodFunctor()

TestCaseMethodFunctor::TestCaseMethodFunctor | ( | TestCase * | target,
|  | Method | method
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

bool TestCaseMethodFunctor::operator() | ( |  | ) | const
| inline virtual

Implements Functor.

## Member Data Documentation

## ◆ m_method

Method TestCaseMethodFunctor::m_method
| private

## ◆ m_target

TestCase* TestCaseMethodFunctor::m_target
| private

The documentation for this class was generated from the following file:

- TestCase.cpp

| Send comments to: CppUnit Developers